Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.Signing.Providers.JarTokenSignProvider Class Referencesealed
Inheritance diagram for Zwipe.Build.Tools.Signing.Providers.JarTokenSignProvider:
[legend]
Collaboration diagram for Zwipe.Build.Tools.Signing.Providers.JarTokenSignProvider:
[legend]

## Public Member Functions
| JarTokenSignProvider (string certificatePath, string providerConfigurationPath, string providerPassword)
override string | GetCommandLineParameters (string certificatePath)
Public Member Functions inherited from Zwipe.Build.Tools.Signing.Providers.TokenSignProvider
X509Certificate2 | GetCertificate ()
string | GetCommandLineParameters ()
string | GetCommandLineParameters (string certificatePath)

## Private Attributes
readonly string | _providerConfigurationPath
readonly string | _providerPassword

## Additional Inherited Members
Static Public Attributes inherited from Zwipe.Build.Tools.Signing.Providers.TokenSignProvider
const string | Type = "etoken"
Protected Member Functions inherited from Zwipe.Build.Tools.Signing.Providers.TokenSignProvider
| TokenSignProvider (string certificatePath)
Properties inherited from Zwipe.Build.Tools.Signing.Providers.TokenSignProvider
string | Alias`[get]`

## Constructor & Destructor Documentation

## ◆ JarTokenSignProvider()

Zwipe.Build.Tools.Signing.Providers.JarTokenSignProvider.JarTokenSignProvider | ( | string | certificatePath,
|  | string | providerConfigurationPath,
|  | string | providerPassword )

## Member Function Documentation

## ◆ GetCommandLineParameters()

override string Zwipe.Build.Tools.Signing.Providers.JarTokenSignProvider.GetCommandLineParameters | ( | string | certificatePath | ) |

## Member Data Documentation

## ◆ _providerConfigurationPath

readonly string Zwipe.Build.Tools.Signing.Providers.JarTokenSignProvider._providerConfigurationPath
| private

## ◆ _providerPassword

readonly string Zwipe.Build.Tools.Signing.Providers.JarTokenSignProvider._providerPassword
| private

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/Signing/Providers/JarTokenSignProvider.cs